#include "chardialog.h"
#include "chardialogplugin.h"
#include <QtCore/QtPlugin>


CharDialogPlugin::CharDialogPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void CharDialogPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized)
		return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool CharDialogPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * CharDialogPlugin::createWidget(QWidget * parent) {
	return new CharDialog(parent);
}


QString CharDialogPlugin::name() const {
	return QLatin1String("CharDialog");
}


QString CharDialogPlugin::group() const {
	return QLatin1String("Dialogs");
}


QIcon CharDialogPlugin::icon() const {
	return QIcon(":/icons/chardialog.png");
}


QString CharDialogPlugin::toolTip() const {
	return QLatin1String("Character Select Dialog");
}


QString CharDialogPlugin::whatsThis() const {
	return QLatin1String("Character Select Dialog");
}


bool CharDialogPlugin::isContainer() const {
	return false;
}


QString CharDialogPlugin::domXml() const {
	return QLatin1String("<widget class=\"CharDialog\" name=\"charDialog\">\n</widget>\n");
}


QString CharDialogPlugin::includeFile() const {
	return QLatin1String("chardialog.h");
}

